Public Attributes | List of all members
rscs_c_evt_t Struct Reference
BLE Services » Running Speed and Cadence Service Client (RSCS_C) » Structures

Running Speed and Cadence Service Client event. More...

`#include <rscs_c.h>`

Collaboration diagram for rscs_c_evt_t:
[legend]

## Public Attributes
uint8_t | conn_idx
| The connection index. More...
rscs_c_evt_type_t | evt_type
| RSCS Client event type. More...
uint16_t | handle
| Handle of characteristic. More...
union {
rscs_c_meas_val_t rsc_meas_buff
| Buffer of RSC measurement value. More...
uint16_t rsc_feature
| RSC feature received. More...
rscs_c_sensor_loc_t rsc_sensor_loc
| RSC sensor location received. More...
uint8_t ctrl_pt_rsp [RSCS_C_PT_RSP_LEN_MAX]
| SC Control Point Response. More...
} | value
| Decoded result of value received. More...

## Detailed Description

Running Speed and Cadence Service Client event.

Definition at line 186 of file rscs_c.h.

## Member Data Documentation

## ◆ conn_idx

uint8_t rscs_c_evt_t::conn_idx

The connection index.

Definition at line 188 of file rscs_c.h.

## ◆ ctrl_pt_rsp

uint8_t rscs_c_evt_t::ctrl_pt_rsp[RSCS_C_PT_RSP_LEN_MAX]

SC Control Point Response.

Definition at line 196 of file rscs_c.h.

## ◆ evt_type

rscs_c_evt_type_t rscs_c_evt_t::evt_type

RSCS Client event type.

Definition at line 189 of file rscs_c.h.

## ◆ handle

uint16_t rscs_c_evt_t::handle

Handle of characteristic.

Definition at line 190 of file rscs_c.h.

## ◆ rsc_feature

uint16_t rscs_c_evt_t::rsc_feature

RSC feature received.

Definition at line 194 of file rscs_c.h.

## ◆ rsc_meas_buff

rscs_c_meas_val_t rscs_c_evt_t::rsc_meas_buff

Buffer of RSC measurement value.

Definition at line 193 of file rscs_c.h.

## ◆ rsc_sensor_loc

rscs_c_sensor_loc_t rscs_c_evt_t::rsc_sensor_loc

RSC sensor location received.

Definition at line 195 of file rscs_c.h.

## ◆ value

union { ... } rscs_c_evt_t::value

Decoded result of value received.

The documentation for this struct was generated from the following file:

- rscs_c.h